Runtime

## org.eclipse.gmf.runtime.emf.core.clipboard
Class CopyingResource

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.common.notify.impl.NotifierImpl
              org.eclipse.emf.ecore.resource.impl.ResourceImpl
                  org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl
                      org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl
                          org.eclipse.gmf.runtime.emf.core.clipboard.CopyingResource

All Implemented Interfaces:
  Notifier, Resource, Resource.Internal, XMIResource, XMLResource

public class CopyingResource
extends XMIResourceImpl

Nested Class Summary
`protected class` `CopyingResource.CopyingHelper` Helper implementation for the CopyingResource.
`class` `CopyingResource.CopyingSave` Save implementation for the CopyingResource.

Nested classes inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl
`ResourceImpl.ContentsEList, ResourceImpl.ModificationTrackingAdapter`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.xmi.XMLResource
`XMLResource.ResourceHandler, XMLResource.XMLInfo, XMLResource.XMLMap`

Nested classes inherited from class org.eclipse.emf.ecore.resource.Resource
`Resource.Diagnostic, Resource.Factory, Resource.Internal, Resource.IOWrappedException`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl
`DETACHED_EOBJECT_TO_ID_MAP, domHandler, encoding, eObjectToExtensionMap, eObjectToIDMap, idToEObjectMap, publicId, systemId, useZip, xmlVersion`

Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl
`contents, defaultLoadOptions, defaultSaveOptions, errors, intrinsicIDToEObjectMap, isLoaded, isLoading, isModified, modificationTrackingAdapter, resourceSet, uri, warnings`

Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMIResource
`OPTION_USE_XMI_TYPE, VERSION_NAME, VERSION_VALUE, XMI_ID, XMI_NAMESPACE_PREFIX, XMI_NS, XMI_TAG_NAME, XMI_URI`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLResource

`HREF, NIL, NO_NAMESPACE_SCHEMA_LOCATION, OPTION_ANY_SIMPLE_TYPE, OPTION_ANY_TYPE, OPTION_CONFIGURATION_CACHE, OPTION_DECLARE_XML, OPTION_DEFER_ATTACHMENT, OPTION_DEFER_IDREF_RESOLUTION, OPTION_DISABLE_NOTIFY, OPTION_DOM_USE_NAMESPACES_IN_SCOPE, OPTION_ENCODING, OPTION_EXTENDED_META_DATA, OPTION_FLUSH_THRESHOLD, OPTION_FORMATTED, OPTION_KEEP_DEFAULT_CONTENT, OPTION_LAX_FEATURE_PROCESSING, OPTION_LINE_WIDTH, OPTION_PARSER_FEATURES, OPTION_PARSER_PROPERTIES, OPTION_PROCESS_DANGLING_HREF, OPTION_PROCESS_DANGLING_HREF_DISCARD, OPTION_PROCESS_DANGLING_HREF_RECORD, OPTION_PROCESS_DANGLING_HREF_THROW, OPTION_RECORD_ANY_TYPE_NAMESPACE_DECLARATIONS, OPTION_RECORD_UNKNOWN_FEATURE, OPTION_RESOURCE_HANDLER, OPTION_SAVE_DOCTYPE, OPTION_SAVE_TYPE_INFORMATION, OPTION_SCHEMA_LOCATION, OPTION_SCHEMA_LOCATION_IMPLEMENTATION, OPTION_SKIP_ESCAPE, OPTION_SKIP_ESCAPE_URI, OPTION_USE_CACHED_LOOKUP_TABLE, OPTION_USE_DEPRECATED_METHODS, OPTION_USE_ENCODED_ATTRIBUTE_STYLE, OPTION_USE_FILE_BUFFER, OPTION_USE_LEXICAL_HANDLER, OPTION_USE_PARSER_POOL, OPTION_USE_XML_NAME_TO_FEATURE_MAP, OPTION_XML_MAP, OPTION_XML_OPTIONS, OPTION_XML_VERSION, SCHEMA_LOCATION, TYPE, XML_NS, XML_SCHEMA_URI, XSI_NS, XSI_URI`

Fields inherited from interface org.eclipse.emf.ecore.resource.Resource
`OPTION_CIPHER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__URI, RESOURCE__WARNINGS`

Constructor Summary
`CopyingResource(XMLResource resource, URI uri, CopyingResourceSet copyingResourceSet)`
`CopyingResource(XMLResource resource, URI uri, CopyingResourceSet copyingResourceSet, boolean regenerateIds)`

Method Summary
`void` `attached(EObject eObject)`
`protected XMLHelper` `createXMLHelper()`
`protected XMLLoad` `createXMLLoad()`
`protected XMLSave` `createXMLSave()`
`void` `detached(EObject eObject)`
`void` `doLoad(java.io.InputStream inputStream, java.util.Map options)`
`protected void` `doUnload()`
`boolean` `eNotificationRequired()`
`EList` `getContents()`
`EObject` `getEObject(java.lang.String uriFragment)`
`protected EObject` `getEObjectByID(java.lang.String id)` Returns the object based on the fragment as an ID.
`java.util.Map` `getEObjectToExtensionMap()`
`CopyingResourceSet` `getMslCopyingResourceSet()`
`ResourceSet` `getResourceSet()`
`protected XMLResource` `getXMLResource()` Gets the XML resource that contains the model content to be copied.
`boolean` `isTrackingModification()`
`protected void` `unloaded(InternalEObject internalEObject)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMIResourceImpl
`getXMINamespace, getXMIVersion, setXMINamespace, setXMIVersion, useIDs`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl

`assignIDsWhileLoading, attachedHelper, detachedHelper, doLoad, doLoad, doSave, doSave, getDefaultLoadOptions, getDefaultSaveOptions, getDOMHelper, getEncoding, getEObjectToIDMap, getID, getIDToEObjectMap, getPublicId, getSystemId, getURIFragment, getXMLVersion, init, isAttachedDetachedHelperRequired, isPath, load, load, save, save, setDoctypeInfo, setEncoding, setID, setUseZip, setXMLVersion, toKeyString, useIDAttributes, useUUIDs, useZip`

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl

`addModificationTrackingAdapters, basicSetResourceSet, createModificationTrackingAdapter, getAllContents, getAllProperContents, getAllProperContents, getDefaultURIConverter, getEObject, getEObjectForURIFragmentRootSegment, getErrors, getIntrinsicIDToEObjectMap, getURI, getURIConverter, getURIFragmentRootSegment, getWarnings, isContentZipEntry, isLoaded, isLoading, isModified, load, load, mergeMaps, newContentZipEntry, removeModificationTrackingAdapters, save, save, setIntrinsicIDToEObjectMap, setLoaded, setModified, setTrackingModification, setURI, toString, unload`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.xmi.XMLResource
`getDefaultLoadOptions, getDefaultSaveOptions, getDOMHelper, getEncoding, getEObjectToIDMap, getID, getIDToEObjectMap, getPublicId, getSystemId, getXMLVersion, load, load, save, save, setDoctypeInfo, setEncoding, setID, setUseZip, setXMLVersion, useZip`

Methods inherited from interface org.eclipse.emf.ecore.resource.Resource
`getAllContents, getErrors, getURI, getURIFragment, getWarnings, isLoaded, isModified, load, load, save, save, setModified, setTrackingModification, setURI, unload`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Constructor Detail

### CopyingResource

    public CopyingResource(XMLResource resource,
                           URI uri,
                           CopyingResourceSet copyingResourceSet)

### CopyingResource

    public CopyingResource(XMLResource resource,
                           URI uri,
                           CopyingResourceSet copyingResourceSet,
                           boolean regenerateIds)

Method Detail

### createXMLLoad

    protected XMLLoad createXMLLoad()

### createXMLHelper

    protected XMLHelper createXMLHelper()

### unloaded

    protected void unloaded(InternalEObject internalEObject)

### eNotificationRequired

    public boolean eNotificationRequired()

  See Also:
    `BasicNotifierImpl.eNotificationRequired()`

### doLoad

    public void doLoad(java.io.InputStream inputStream,
                       java.util.Map options)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### createXMLSave

    protected XMLSave createXMLSave()

### getContents

    public EList getContents()

### doUnload

    protected void doUnload()

  See Also:
    `ResourceImpl.doUnload()`

### getEObject

    public EObject getEObject(java.lang.String uriFragment)

### getEObjectByID

    protected EObject getEObjectByID(java.lang.String id)

  Returns the object based on the fragment as an ID.

### getMslCopyingResourceSet

    public CopyingResourceSet getMslCopyingResourceSet()

  Returns:
    Returns the CopyingResourceSet.

### getResourceSet

    public ResourceSet getResourceSet()

### attached

    public void attached(EObject eObject)

### detached

    public void detached(EObject eObject)

### getEObjectToExtensionMap

    public java.util.Map getEObjectToExtensionMap()

### isTrackingModification

    public boolean isTrackingModification()

### getXMLResource

    protected XMLResource getXMLResource()

  Gets the XML resource that contains the model content to be copied.

  Returns:
    the XML resource

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.